petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatSchurComplementGetSubMatrices

Get the individual submatrices in the Schur complement

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  MatSchurComplementGetSubMatrices(Mat S,Mat *A00,Mat *Ap00,Mat *A01,Mat *A10,Mat *A11)

Collective on Mat

### Input Parameter

S -matrix obtained with MatCreateSchurComplement() (or equivalent) and implementing the action of A11 - A10 ksp(A00,Ap00) A01

### Output Paramters

| A00,A01,A10,A11 | - the four parts of the original matrix A = [A00 A01; A10 A11] (A11 is optional)
| Ap00 | - preconditioning matrix for use in ksp(A00,Ap00) to approximate the action of A^{-1}.

Note: A11 is optional, and thus can be NULL. The submatrices are not increfed before they are returned and should not be modified or destroyed.

### See Also

MatCreateNormal(), MatMult(), MatCreate(), MatSchurComplementGetKSP(), MatCreateSchurComplement(), MatSchurComplementUpdateSubMatrices()

### Level

intermediate

### Location

src/ksp/ksp/utils/schurm/schurm.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages